# -*- encoding: utf-8 -*-
# stub: timeliness 0.3.8 ruby lib

Gem::Specification.new do |s|
  s.name = "timeliness"
  s.version = "0.3.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Adam Meehan"]
  s.date = "2016-09-27"
  s.description = "Fast date/time parser with customisable formats, timezone and I18n support."
  s.email = "adam.meehan@gmail.com"
  s.extra_rdoc_files = ["CHANGELOG.rdoc", "README.rdoc"]
  s.files = ["CHANGELOG.rdoc", "LICENSE", "README.rdoc", "Rakefile", "benchmark.rb", "lib/timeliness.rb", "lib/timeliness/core_ext.rb", "lib/timeliness/core_ext/string.rb", "lib/timeliness/definitions.rb", "lib/timeliness/format.rb", "lib/timeliness/format_set.rb", "lib/timeliness/helpers.rb", "lib/timeliness/parser.rb", "lib/timeliness/version.rb", "spec/spec_helper.rb", "spec/timeliness/core_ext/string_spec.rb", "spec/timeliness/definitions_spec.rb", "spec/timeliness/format_set_spec.rb", "spec/timeliness/format_spec.rb", "spec/timeliness/parser_spec.rb", "spec/timeliness_helper.rb", "timeliness.gemspec"]
  s.homepage = "http://github.com/adzap/timeliness"
  s.rubyforge_project = "timeliness"
  s.rubygems_version = "2.5.1"
  s.summary = "Date/time parsing for the control freak."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<activesupport>, [">= 3.2"])
      s.add_development_dependency(%q<tzinfo>, [">= 0.3.31"])
      s.add_development_dependency(%q<rspec>, ["~> 3.4"])
      s.add_development_dependency(%q<timecop>, [">= 0"])
      s.add_development_dependency(%q<i18n>, [">= 0"])
    else
      s.add_dependency(%q<activesupport>, [">= 3.2"])
      s.add_dependency(%q<tzinfo>, [">= 0.3.31"])
      s.add_dependency(%q<rspec>, ["~> 3.4"])
      s.add_dependency(%q<timecop>, [">= 0"])
      s.add_dependency(%q<i18n>, [">= 0"])
    end
  else
    s.add_dependency(%q<activesupport>, [">= 3.2"])
    s.add_dependency(%q<tzinfo>, [">= 0.3.31"])
    s.add_dependency(%q<rspec>, ["~> 3.4"])
    s.add_dependency(%q<timecop>, [">= 0"])
    s.add_dependency(%q<i18n>, [">= 0"])
  end
end
